LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
BridgeFactory Service Referencepublished

allows to create new or access existing interprocess bridges. More...

`import"BridgeFactory.idl";`

Inheritance diagram for BridgeFactory:

## Additional Inherited Members
Exported Interfaces inherited from XBridgeFactory2
interface | com::sun::star::bridge::XBridgeFactory
| The main interface of the service. More...
interface | com::sun::star::lang::XComponent
| This interface allows to break possible cyclic references. More...
Public Member Functions inherited from XBridgeFactory
XBridge | createBridge ([in] string sName, [in] string sProtocol, [in] com::sun::star::connection::XConnection aConnection, [in] XInstanceProvider anInstanceProvider) raises ( BridgeExistsException , com::sun::star::lang::IllegalArgumentException )
| tries to create a UNO interprocess bridge. More...
XBridge | getBridge ([in] string sName)
| tries to get a bridge by this name. More...
sequence< XBridge > | getExistingBridges ()
| returns the sequence of all named and unnamed UNO interprocess bridges that are instantiated at the time the call is made. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

allows to create new or access existing interprocess bridges.

It enumerates at the servicemanager all services supporting the meta service com.sun.star.bridge.Bridge to get all known, possible protocols.

See also
  com::sun::star::bridge::Bridge

Developers Guide
  Professional UNO - Opening a Connection

The documentation for this service was generated from the following file:

- com/sun/star/bridge/BridgeFactory.idl